from Products.CMFCore.DirectoryView import registerDirectory
from Products.CMFCore import utils as cmfutils
from Products.CMFCore.CMFCorePermissions import AddPortalContent

registerDirectory('skins', globals())

import University
import Students
import Accommodation
import Faculty
import Widgets
import WAeUPPermissions

fti = (Students.student_fti,
       Students.studentpersonal_fti,
       Students.jamb_fti,
       Accommodation.accofolder_fti,
       Accommodation.accommodation_fti,
       Faculty.faculty_fti,
       Faculty.department_fti,
       Faculty.course_fti,
      )

contentClasses = (University.University,
                  Students.StudentsFolder,
                  Students.Student,
                  Students.StudentPersonal,
                  Students.Jamb,
                  Accommodation.AccoFolder,
                  Accommodation.Accommodation,
                  Faculty.Faculty,
                  Faculty.Department,
                  Faculty.Course,
                 )

contentConstructors = (University.addUniversity,
                       Students.addStudentsFolder,
                       Students.addStudent,
                       Students.addStudentPersonal,
                       Accommodation.addAccommodation,
                       Accommodation.addAccoFolder,
                       Students.addJamb,
                       Faculty.addFaculty,
                       Faculty.addDepartment,
                       Faculty.addCourse,
                       )

def initialize(registrar):
    cmfutils.ContentInit(
        'WAeUP',
        content_types=contentClasses,
        permission=AddPortalContent,
        extra_constructors=contentConstructors,
        fti=fti,
        
    ).initialize(registrar)
